tag.hpp File Reference
`#include <algorithm>`
`#include <cstddef>`
`#include <cstring>`
`#include <iosfwd>`
`#include <iterator>`
`#include <osmium/memory/collection.hpp>`
`#include <osmium/memory/item.hpp>`
`#include <osmium/osm/item_type.hpp>`
Include dependency graph for tag.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::Tag
class | osmium::TagList

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Functions

bool | osmium::operator== (const Tag &a, const Tag &b)
bool | osmium::operator< (const Tag &a, const Tag &b)
template<typename TChar , typename TTraits >
std::basic_ostream< TChar, TTraits > & | osmium::operator<< (std::basic_ostream< TChar, TTraits > &out, const Tag &tag)